Forum: Rails-ES Porqué Rails viene por defecto con MySQL

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
A6986c0331b6cde2346d346df3b8e738?d=identicon&s=25 Marcos Ortiz valmaseda (nettoxic)
on 2009-03-03 21:10
Mi pregunta es la siguiente ¿Por qué Rails sólo viene por defecto con
MySQL? No lo pregunto de menospreciar a este excelente gestor, pero es
que yo no uso MySQL, toda una vida he usado PostgreSQL desde el 1er año
de la carrera (Actualmente estoy en 5to año de Ingeniería Infromática) y
no me gustaría usar otro después de llevar varios años usándolo.

Para configurar Ruby on Rails con PostgreSQL se hace a veces difícil y
engorroso, porque lo que realmente sería muy provechoso que viniera
Rails por defecto con las gemas necesarias para PostgreSQL. He visto en
varios hilos en Internet que se dice que no lo han incluído por el hecho
de que el driver de ActiveRecord para PostgreSQL presentaba varios bugs
críticos, pero no me queda claro por que no se incluye. Si es por el
hecho de que no existen personas trabajando en dicho driver, me pueden
avisar sin falta, y me pongo a trabajr en ello.

Saludos
81d591bf78ee92fab9a5abda19b6fe9a?d=identicon&s=25 Fernando González Macías (Guest)
on 2009-03-03 21:29
(Received via mailing list)
Hola Marcos

  No conozco en concreto, la problemática existente con el soporte de
PostgreSQL en RoR, que comentas.

   Simplemente comentarte que actualmente la opción por defecto en RoR es
sqlite3, que no necesita implementar ningún servidor ad hoc. Evidentemente
es posible cualquier conexión con otras B.D. pero la opción por defecto, creo
que desde RoR 2.0 es sqlite3.


Saludos

Fernando González Macías

-----Mensaje original-----
De: ror-es-bounces@lists.simplelogica.net
[mailto:ror-es-bounces@lists.simplelogica.net] En nombre de Marcos Ortiz
valmaseda
Enviado el: martes, 03 de marzo de 2009 21:10
Para: ror-es@lists.simplelogica.net
Asunto: [Ror-es] Porqué Rails viene por defecto con MySQL

Mi pregunta es la siguiente ¿Por qué Rails sólo viene por defecto con
MySQL? No lo pregunto de menospreciar a este excelente gestor, pero es
que yo no uso MySQL, toda una vida he usado PostgreSQL desde el 1er
añode la carrera (Actualmente estoy en 5to año de Ingeniería Infromática) y
no me gustaría usar otro después de llevar varios años usándolo.

Para configurar Ruby on Rails con PostgreSQL se hace a veces difícil y
engorroso, porque lo que realmente sería muy provechoso que viniera
Rails por defecto con las gemas necesarias para PostgreSQL. He visto en
varios hilos en Internet que se dice que no lo han incluído por el hecho
de que el driver de ActiveRecord para PostgreSQL presentaba varios bugs
críticos, pero no me queda claro por que no se incluye. Si es por el
hecho de que no existen personas trabajando en dicho driver, me pueden
avisar sin falta, y me pongo a trabajr en ello.

Saludos
--
Posted via http://www.ruby-forum.com/.
_______________________________________________
Ror-es mailing list
Ror-es@lists.simplelogica.net
http://lists.simplelogica.net/mailman/listinfo/ror-es
B8eb6140a480852282b1deb8f7987a24?d=identicon&s=25 Silvio Quadri (Guest)
on 2009-03-03 22:20
(Received via mailing list)
El día 3 de marzo de 2009 18:10, Marcos Ortiz valmaseda
<ruby-forum-incoming@andreas-s.net>
escribió:> críticos, pero no me queda claro por que no se incluye. Si es por el
> hecho de que no existen personas trabajando en dicho driver, me pueden
> avisar sin falta, y me pongo a trabajr en ello.

Yo estoy trabajando con postgres y no he tenido inconvenientes de
ningún tipo.
La problemática de la configuración se resuelve con ...

rails -d postgres my_app

No te olvides de instalar la gema

gem install postgres

Si tenés instalado ya el postgres, ya debería andar.
F9e6f7fd18357cf5e519866b0defe562?d=identicon&s=25 Benjamín Cárdenas Salamandra (Guest)
on 2009-03-04 03:09
(Received via mailing list)
Hola Marcos,

Yo siempre he trabajado con postgresql  y nunca he tenido ningún
inconveniente, incluso uso muchos proyectos diseñados originalmente para
mysql y con pequeños ajustes me quedan bien en postgres, igual rails
está diseñado para que sea así (poder abstraer la capa de datos),

Yo en desarrollo trabajo en windows y ubuntu e instalo la gema con: gem
install postgres-pr,

Benjamín

Marcos Ortiz valmaseda escribió:
A6986c0331b6cde2346d346df3b8e738?d=identicon&s=25 Marcos Ortiz valmaseda (nettoxic)
on 2009-03-04 03:31
Benjamín Cárdenas Salamandra wrote:
> Hola Marcos,
>
> Yo siempre he trabajado con postgresql  y nunca he tenido ningún
> inconveniente, incluso uso muchos proyectos diseñados originalmente para
> mysql y con pequeños ajustes me quedan bien en postgres, igual rails
> está diseñado para que sea así (poder abstraer la capa de datos),
>
> Yo en desarrollo trabajo en windows y ubuntu e instalo la gema con: gem
> install postgres-pr,
>
> Benjamín
>
> Marcos Ortiz valmaseda escribió:

Mi problema es que yo no puedo hacer un gem install postgres-or (Uso
Debian GNU/Linux 5.0), por el hecho de que no tengo Internet siempre
para eso.¿Existe alguna forma de bajar la gema e instalarla manualmente?
Para no tener que hacer un gem install postgres-pr cada vez que vaya a
utilizar Rails con PostgreSQL.

Decía lo de MySQL porque por ejemplo en el NetBeans 6.5 (el cual uso
para el desarrollo con Rails y Ruby) ya viene la gema de MySQL. Sé que
el mismo usa JRuby, pero también reconoce la versión de Rails que esté
instalada en el sistema y la aplicación que viene de ejemplo (el famoso
Depot) se puede configurar directamente con este gestor, y no hay
necesidad de instalar ninguna gema desde Internet para hacerla
funcionar.

Eso es a lo que me refiero; que Rails se libere con estas gemas en su
núcleo. Sólo es una sugerencia, y sino se puede, por favor expliquenme
las razones por qué no. Disculpen por hacer preguntas tontas,pero para
mi no lo son.
Saludos
This topic is locked and can not be replied to.